var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import { Form, Input, Radio, Checkbox, Select, TextArea } from 'semantic-ui-react';

const InputField = (_ref) => {
  let { input, label, required, meta: { touched, error } } = _ref,
      rest = _objectWithoutProperties(_ref, ['input', 'label', 'required', 'meta']);

  return (//eslint-disable-line
    // <Form.Field  control={Input} label={label} error={touched && error?true:false}  {...input} {...rest} />
    React.createElement(
      Form.Field,
      { error: touched && error ? true : false, required: required },
      React.createElement(
        'label',
        null,
        label
      ),
      React.createElement(Input, _extends({ required: required }, input, rest)),
      touched && error ? React.createElement(
        'span',
        { style: { color: '#9F3A38' } },
        error
      ) : null
    )
  );
};

export { InputField };
const LabelInputField = (_ref2) => {
  let { input, required, meta: { touched, error } } = _ref2,
      rest = _objectWithoutProperties(_ref2, ['input', 'required', 'meta']);

  return (//eslint-disable-line
    // <Form.Field  control={Input} label={label} error={touched && error?true:false}  {...input} {...rest} />
    React.createElement(
      Form.Field,
      { error: touched && error ? true : false, required: required },
      React.createElement(Input, _extends({ required: required }, input, rest)),
      touched && error ? React.createElement(
        'span',
        { style: { color: '#9F3A38' } },
        error
      ) : null
    )
  );
};

export { LabelInputField };
const TextAreaField = (_ref3) => {
  let { input, label, required, meta: { touched, error } } = _ref3,
      rest = _objectWithoutProperties(_ref3, ['input', 'label', 'required', 'meta']);

  return (//eslint-disable-line
    // <Form.Field  control={TextArea} label={label} error={touched && error?true:false}  {...input} {...rest} />
    React.createElement(
      Form.Field,
      { error: touched && error ? true : false, required: required },
      React.createElement(
        'label',
        null,
        label
      ),
      React.createElement(TextArea, _extends({ required: required }, input, rest)),
      touched && error ? React.createElement(
        'span',
        { style: { color: '#9F3A38' } },
        error
      ) : null
    )
  );
};

export { TextAreaField };
const SelectField = (_ref4) => {
  let { input, label, required, options, meta: { touched, error } } = _ref4,
      custom = _objectWithoutProperties(_ref4, ['input', 'label', 'required', 'options', 'meta']);

  return (//eslint-disable-line
    // <Form.Field control={Select} search label={label} options={options}
    //   error={touched && error?true:false}
    //   value={input.value}
    //   onChange={(event, data) => input.onChange(data.value)} {...custom}/>
    React.createElement(
      Form.Field,
      { error: touched && error ? true : false, required: required },
      React.createElement(
        'label',
        null,
        label
      ),
      React.createElement(Select, _extends({ search: true, value: input.value, required: required,
        options: options,
        onChange: (event, data) => input.onChange(data.value) }, custom)),
      touched && error ? React.createElement(
        'span',
        { style: { color: '#9F3A38' } },
        error
      ) : null
    )
  );
};

export { SelectField };
export const ToggleField = ({ input, label, defaultChecked }) => //eslint-disable-line
React.createElement(Form.Field, { control: Radio, toggle: true, label: label,
  checked: input.value ? true : false,
  defaultChecked: defaultChecked,
  onClick: (event, data) => input.onChange(!data.checked) });

export const Toggle = ({ input, label, defaultChecked }) => //eslint-disable-line
React.createElement(Radio, { toggle: true, label: label,
  checked: input.value ? true : false,
  defaultChecked: defaultChecked,
  onClick: (event, data) => input.onChange(!data.checked) });

const RadioComponent = (_ref5) => {
  let { input, label, meta: { touched, error } } = _ref5,
      custom = _objectWithoutProperties(_ref5, ['input', 'label', 'meta']);

  return (//eslint-disable-line
    React.createElement(Radio, _extends({ label: label,
      checked: input.value ? true : false,
      onClick: (event, data) => input.onChange(!data.checked) }, custom))
  );
};

export { RadioComponent };
const RadioField = (_ref6) => {
  let { input, label, meta: { touched, error } } = _ref6,
      custom = _objectWithoutProperties(_ref6, ['input', 'label', 'meta']);

  return (//eslint-disable-line
    React.createElement(Form.Field, _extends({ control: Radio, label: label,
      checked: input.value ? true : false,
      onClick: (event, data) => input.onChange(!data.checked) }, custom))
  );
};

export { RadioField };
const CheckboxComponent = (_ref7) => {
  let { input, label, meta: { touched, error } } = _ref7,
      custom = _objectWithoutProperties(_ref7, ['input', 'label', 'meta']);

  return (//eslint-disable-line
    React.createElement(Checkbox, _extends({ label: label,
      checked: input.value ? true : false,
      onClick: (event, data) => input.onChange(!data.checked) }, custom))
  );
};

export { CheckboxComponent };
const CheckboxField = (_ref8) => {
  let { input, label, meta: { touched, error } } = _ref8,
      custom = _objectWithoutProperties(_ref8, ['input', 'label', 'meta']);

  return (//eslint-disable-line
    React.createElement(Form.Field, _extends({ control: Checkbox, label: label,
      checked: input.value ? true : false,
      onClick: (event, data) => input.onChange(!data.checked) }, custom))
  );
};
export { CheckboxField };